#!/bin/bash

. /usr/lib/pm-utils/functions

TAG="PM_915resolution_hook"

suspend_915resolution()
{
    return 0
}

resume_915resolution()
{
      chkconfig --list  | grep 915resolution | grep -q ":on"
      [ "$?" = "0" ] && BOOTUP=nocolor /etc/init.d/915resolution start | logger -t $TAG
}

case "$1" in
	hibernate|suspend)
		suspend_915resolution
		;;
	thaw|resume)
		resume_915resolution
		;;
	*)
		;;
esac

exit $?
